#include "Molecule.h"

int main(int argc, char* argv[])
{
    if (argc != 2)
    {
        cerr << "Usage: MolGraph inputXYZFile" << endl;
        exit(1);
    }

    BTL_XYZProcessor p;
    p.ReadFile(argv[1]);
    if (p.empty()) exit(1);
    
    Molecule molecule(p);
    
    // Create empty window, add Molecule to it, then start the display.
    //
    
    DisplayWindow win;
    molecule.AddToWindow(win);

    // Export scene to VRML file.
    //
    win.Export("MoleculeTest.wrl");

    win.Start();
    
    return 0;
}
